












































data late;
input cultivar block days severity;
sev=severity/100;
logit=log(sev/(1-sev));
t=days;
datalines;
1	1	3	2.5
1	2	3	11.8
1	3	3	2.3
1	4	3	3.9
1	1	7	23.2
1	2	7	26.2
1	3	7	23.4
1	4	7	21.5
1	1	10	37.8
1	2	10	42.0
1	3	10	32.5
1	4	10	37.3
1	1	13	56.3
1	2	13	58.8
1	3	13	56.3
1	4	13	55.3
1	1	18	83.5
1	2	18	85.0
1	3	18	72.5
1	4	18	78.0
1	1	21	89.3
1	2	21	92.5
1	3	21	91.0
1	4	21	87.0
1	1	26	98.3
1	2	26	98.3
1	3	26	98.0
1	4	26	98.3
2	1	3	0.9
2	2	3	0.8
2	3	3	1.7
2	4	3	1.0
2	1	7	6.6
2	2	7	5.2
2	3	7	3.5
2	4	7	6.5
2	1	10	14.3
2	2	10	17.5
2	3	10	16.5
2	4	10	13.0
2	1	13	41.0
2	2	13	32.8
2	3	13	41.3
2	4	13	35.0
2	1	18	65.8
2	2	18	59.5
2	3	18	60.3
2	4	18	54.8
2	1	21	81.5
2	2	21	76.0
2	3	21	74.5
2	4	21	71.3
2	1	26	92.5
2	2	26	89.3
2	3	26	87.5
2	4	26	88.8
3	1	3	11.8
3	2	3	7.8
3	3	3	2.8
3	4	3	8.0
3	1	7	28.5
3	2	7	35.3
3	3	7	29.8
3	4	7	34.0
3	1	10	51.0
3	2	10	62.0
3	3	10	60.3
3	4	10	60.3
3	1	13	84.8
3	2	13	81.5
3	3	13	83.0
3	4	13	80.8
3	1	18	96.3
3	2	18	98.0
3	3	18	98.3
3	4	18	98.0
3	1	21	99.0
3	2	21	99.5
3	3	21	99.7
3	4	21	99.7
3	1	26	99.9
3	2	26	99.9
3	3	26	99.9
3	4	26	99.9
4	1	3	0.7
4	2	3	1.7
4	3	3	1.0
4	4	3	1.4
4	1	7	8.5
4	2	7	4.2
4	3	7	4.2
4	4	7	5.8
4	1	10	11.3
4	2	10	9.5
4	3	10	11.5
4	4	10	22.5
4	1	13	26.8
4	2	13	31.8
4	3	13	29.3
4	4	13	36.3
4	1	18	42.0
4	2	18	48.0
4	3	18	15.3
4	4	18	56.5
4	1	21	65.3
4	2	21	70.5
4	3	21	65.0
4	4	21	65.3
4	1	26	75.5
4	2	26	79.5
4	3	26	83.0
4	4	26	78.0
;
title 'Late blight (4 cultivars)';
run;

*---Try different structures;
proc mixed data=late covtest;
title2 'UN';
class block cultivar days;
model logit = cultivar|days / ddfm=kr;
random block;				*---Note, random block effect;
repeated / subject=block*cultivar type=un r rcorr;
lsmeans cultivar*days / slice=days;
ods output covparms=cov rcorr=corr;
run;

/* Now get a variance/covariance vs. lag plot (as on page 187 of Littel et al. (2006)*/
/* Works only for 7 times, and UN structure! */
data times;
do time1 = 1 to 7;
	do time2=1 to time1;
	dist=time1-time2;
	output;
	end;
end;
run;
data cov; set cov; if (covparm eq 'block') then delete;
data covplot; merge times cov;
run;
proc print data=covplot; 
run;

axis1 
      minor = none
      offset= (0.2in, 0.2in)
      value = (font=swiss h=2 
               ) 
      label = (angle=90 f=swiss h=2 
             'Covariance of Between Subj Effects');
axis2 order = (0 to 6 by 1)
      minor = none
      offset= (0.2in, 0.2in)
      value = (font=swiss h=2 )
      label = (f=swiss h=2 'Lag');
legend1 value=(font=swiss h=2  ) 
        label=(f=swiss h=2 'From Time')
		across=2
		mode  =protect
        position=(top right inside);
symbol1 color=black interpol=join line=1  value=square; 
symbol2 color=black interpol=join line=2  value=circle; 
symbol3 color=black interpol=join line=20 value=triangle;
symbol4 color=black interpol=join line=3  value=plus; 
symbol5 color=black interpol=join line=4  value=star; 
symbol6 color=black interpol=join line=5  value=dot; 
symbol7 color=black interpol=join line=6  value=_; 
symbol8 color=black interpol=join line=10 value==;

/*Plot shows a general decline in covariance with lag*/
proc gplot data=covplot;
   plot estimate*dist=time2 / noframe
                              vaxis  = axis1 
                              haxis  = axis2 
                              legend = legend1;
run;

*---Now get means, multiple comparisons, etc.;
proc mixed data=late covtest;
title2 'ARH1';
class block cultivar days;
model logit = cultivar|days / ddfm=kr;
random block;
repeated / subject=block*cultivar type=arh(1) r rcorr;
lsmeans cultivar*days / slice=days pdiff;
ods output covparms=cov rcorr=corr diffs=diffs lsmeans=lsmeans;
ods exclude lsmeans diffs;
run;
data diffs2; set diffs;
if (days ne _days) then delete;	*---Just do treatment comparisons at common days;
proc sort data=diffs2 out=diffs2;
	by days;					*---Show data for increasing times;
proc print data=diffs2; run;

*---Must have the file mult.sas in the labeled folder;
%INCLUDE 'c:\Documents and Settings\Larry Madden\My Documents\My SAS Files\repeated\mult.sas';run;
%mult(trt=cultivar,alpha=.05,by=days, level=3);run;
%mult(trt=cultivar,alpha=.05,by=days, level=7);run;
%mult(trt=cultivar,alpha=.05,by=days, level=10);run;
%mult(trt=cultivar,alpha=.05,by=days, level=13);run;
%mult(trt=cultivar,alpha=.05,by=days, level=18);run;
%mult(trt=cultivar,alpha=.05,by=days, level=21);run;
%mult(trt=cultivar,alpha=.05,by=days, level=26);run;


run;
/*
ods html;
ods graphics on;
proc mixed data=late covtest;
title2 'ARH1, residual analysis';
class block cultivar days;
model logit = cultivar|days / ddfm=kr residual;
random block;
repeated / subject=block*cultivar type=arh(1) r rcorr;
lsmeans cultivar*days / slice=days pdiff;
ods output covparms=cov rcorr=corr diffs=diffs lsmeans=lsmeans;
ods exclude lsmeans diffs;
run;
ods graphics off;
ods html close;
run;
*/
run;


